Bug 14817 - Update Kerberos testing and dependencies to bring in fix for KDC crash
Summary: Update Kerberos testing and dependencies to bring in fix for KDC crash
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Test infrastructure (show other bugs)
Version: 4.15.0rc5
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks: CVE-2020-17049
  Show dependency treegraph
 
Reported: 2021-09-03 09:44 UTC by Andrew Bartlett
Modified: 2021-09-16 13:28 UTC (History)
4 users (show)

See Also:


Attachments
diffstat of the changes (3.34 KB, text/plain)
2021-09-03 09:44 UTC, Andrew Bartlett
no flags Details
script used to select the backport (769 bytes, text/plain)
2021-09-03 09:52 UTC, Andrew Bartlett
no flags Details
awk script for adding bug tag (525 bytes, application/x-awk)
2021-09-03 09:52 UTC, Andrew Bartlett
no flags Details
git-add-bug (195 bytes, text/plain)
2021-09-03 09:53 UTC, Andrew Bartlett
no flags Details
diffstat of the 4.15 changes (v2) (3.34 KB, text/plain)
2021-09-03 10:04 UTC, Andrew Bartlett
no flags Details
script used to select the 4.15 backport (v2) (1018 bytes, application/x-shellscript)
2021-09-03 10:04 UTC, Andrew Bartlett
no flags Details
patch from master backported to 4.15 (only) (1.47 KB, patch)
2021-09-03 10:09 UTC, Andrew Bartlett
abartlet: ci-passed+
Details
patch from master backported to 4.15 (only) (v2) (561.64 KB, patch)
2021-09-06 20:49 UTC, Andrew Bartlett
abartlet: ci-passed+
Details
diffstat of the changes (v2) (3.40 KB, text/plain)
2021-09-06 22:14 UTC, Andrew Bartlett
no flags Details
potential 4.14 backport script (12.32 KB, text/plain)
2021-09-06 22:16 UTC, Andrew Bartlett
no flags Details
script used to select the backport (v3) to 4.15 (1.08 KB, text/plain)
2021-09-07 07:43 UTC, Andrew Bartlett
no flags Details
generated patch from master (v3) for 4.15 (561.64 KB, patch)
2021-09-07 07:44 UTC, Andrew Bartlett
dbagnall: review+
dbagnall: ci-passed+
Details
generated diffstat of patch from master (v3) for 4.15 (3.40 KB, text/plain)
2021-09-07 07:45 UTC, Andrew Bartlett
no flags Details
script used to select the backport (v3) to 4.14 (27.47 KB, text/plain)
2021-09-07 07:46 UTC, Andrew Bartlett
no flags Details
generated patch from master (v3) for 4.14 (1.12 MB, patch)
2021-09-07 07:47 UTC, Andrew Bartlett
no flags Details
generated diffstat of patch from master (v3) for 4.14 (3.18 KB, text/plain)
2021-09-07 07:49 UTC, Andrew Bartlett
no flags Details
script used to select the backport (v3) to 4.13 (38.21 KB, text/plain)
2021-09-07 07:50 UTC, Andrew Bartlett
no flags Details
generated patch from master (v3) for 4.13 (1.38 MB, patch)
2021-09-07 07:51 UTC, Andrew Bartlett
no flags Details
generated diffstat of patch from master (v3) for 4.13 (3.54 KB, text/plain)
2021-09-07 07:53 UTC, Andrew Bartlett
no flags Details
script used to select the backport (v4) to 4.14 (101.62 KB, text/plain)
2021-09-08 05:11 UTC, Andrew Bartlett
no flags Details
generated diffstat of patch from master (v4) for 4.14 (3.12 KB, text/plain)
2021-09-08 05:11 UTC, Andrew Bartlett
no flags Details
generated patch from master (v4) for 4.14 (1.13 MB, patch)
2021-09-08 05:11 UTC, Andrew Bartlett
dbagnall: review+
abartlet: ci-passed+
Details
script used to select the backport (v4) to 4.13 (112.36 KB, text/plain)
2021-09-08 05:11 UTC, Andrew Bartlett
no flags Details
generated diffstat of patch from master (v4) for 4.13 (3.48 KB, text/plain)
2021-09-08 05:11 UTC, Andrew Bartlett
no flags Details
generated patch from master (v4) for 4.13 (1.40 MB, patch)
2021-09-08 05:12 UTC, Andrew Bartlett
dbagnall: review+
abartlet: ci-passed+
Details
WHATSNEW entry for Samba 4.15.0 (2.60 KB, patch)
2021-09-08 07:28 UTC, Andrew Bartlett
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2021-09-03 09:44:57 UTC
Created attachment 16763 [details]
diffstat of the changes

This is an unusual request, but if you look at this carefully not as harmful or risky as the diff makes it seem.

The changes to production code are:
 - fixes the the domain backup code to work on a modern OS on LDMB, and to lock the file correctly
 - the KDC crash fix

The changes to experimental code are:
 - removal of old KDB version support for the experimental MIT KDC

The changes to the testsuite are:
 - To update the Kerberos testsuite to the one in master, including the crash tests
 - To only build the MIT KDC in GitLab CI
 - To build the MIT KDC on Fedora 34 only
 - To use the same bootstrap image as in master (this has the crash fix in it)

A benefit is to update Samba 4.15 from the outset to the current Kerberos test-suite, which will also make it much easier to backport fixes for the 'Bronze bit' (MS CVE-2020-17049) issue we are currently developing tests and fixes for.

Please see the attached diffstat
Comment 1 Andrew Bartlett 2021-09-03 09:52:05 UTC
Created attachment 16764 [details]
script used to select the backport
Comment 2 Andrew Bartlett 2021-09-03 09:52:33 UTC
Created attachment 16765 [details]
awk script for adding bug tag
Comment 3 Andrew Bartlett 2021-09-03 09:53:14 UTC
Created attachment 16766 [details]
git-add-bug
Comment 4 Andrew Bartlett 2021-09-03 10:04:11 UTC
Created attachment 16767 [details]
diffstat of the 4.15 changes (v2)
Comment 5 Andrew Bartlett 2021-09-03 10:04:39 UTC
Created attachment 16768 [details]
script used to select the 4.15 backport (v2)
Comment 6 Andrew Bartlett 2021-09-03 10:09:38 UTC
Created attachment 16769 [details]
patch from master backported to 4.15 (only)

This is the big backport patch.

This also includes a fix to allow use of python-dateutil on some systems rather than the problematic-to-find python3-iso8601.  This is needed for the new docker images.

A pipeline is running here:

https://gitlab.com/samba-team/devel/samba/-/pipelines/364706368

The alternative is just to backport the fix CVE-2021-3671 (the kdc crash) without a test, but that just puts the problem off to the next Kerberos issue, eg the CVE-2020-17049 bronze bit issue, which really will need a testsuite.
Comment 7 Andrew Bartlett 2021-09-03 21:08:27 UTC
(In reply to Andrew Bartlett from comment #6)
The pipeline passed.
Comment 8 Andrew Bartlett 2021-09-06 20:49:11 UTC
Created attachment 16777 [details]
patch from master backported to 4.15 (only) (v2)

This uploads the correct patch this time.  The last one was for bug 14815
Comment 9 Andrew Bartlett 2021-09-06 22:14:36 UTC
Created attachment 16778 [details]
diffstat of the changes (v2)
Comment 10 Andrew Bartlett 2021-09-06 22:16:33 UTC
Created attachment 16779 [details]
potential 4.14 backport script

The output of this script compiles and has been sent to GitLab CI for testing.
Comment 11 Andrew Bartlett 2021-09-07 07:43:21 UTC
Created attachment 16780 [details]
script used to select the backport (v3) to 4.15
Comment 12 Andrew Bartlett 2021-09-07 07:44:44 UTC
Created attachment 16781 [details]
generated patch from master (v3) for 4.15
Comment 13 Andrew Bartlett 2021-09-07 07:45:25 UTC
Created attachment 16782 [details]
generated diffstat of patch from master (v3) for 4.15
Comment 14 Andrew Bartlett 2021-09-07 07:46:51 UTC
Created attachment 16783 [details]
script used to select the backport (v3) to 4.14
Comment 15 Andrew Bartlett 2021-09-07 07:47:57 UTC
Created attachment 16784 [details]
generated patch from master (v3) for 4.14
Comment 16 Andrew Bartlett 2021-09-07 07:49:46 UTC
Created attachment 16785 [details]
generated diffstat of patch from master (v3) for 4.14
Comment 17 Andrew Bartlett 2021-09-07 07:50:52 UTC
Created attachment 16786 [details]
script used to select the backport (v3) to 4.13
Comment 18 Andrew Bartlett 2021-09-07 07:51:39 UTC
Created attachment 16787 [details]
generated patch from master (v3) for 4.13
Comment 19 Andrew Bartlett 2021-09-07 07:53:46 UTC
Created attachment 16788 [details]
generated diffstat of patch from master (v3) for 4.13

I realise this is quite overwhelming, but if we are going to use the new Kerberos test infrastructure it will be easier if we get it to the same level in all branches.

The impact on production should be minimal, as you will see in the diffstat files the changes are almost entirely contained in the test code.
Comment 20 Andrew Bartlett 2021-09-07 09:39:44 UTC
CI on this series is going well (considering the size), the only failures are due to the need to tweak some knownfail things on the experimental MIT krb5 AD DC for the 4.14 and 4.15 backports. 

I'll run up the reference Ubuntu 18.04 and fix those tomorrow.
Comment 21 Andrew Bartlett 2021-09-07 09:41:37 UTC
(In reply to Andrew Bartlett from comment #20)
Sorry, the failures are only in the 4.14 and 4.13 backports (in the new tests)
Comment 22 Andrew Bartlett 2021-09-08 05:11:18 UTC
Created attachment 16789 [details]
script used to select the backport (v4) to 4.14
Comment 23 Andrew Bartlett 2021-09-08 05:11:42 UTC
Created attachment 16790 [details]
generated diffstat of patch from master (v4) for 4.14
Comment 24 Andrew Bartlett 2021-09-08 05:11:47 UTC
Created attachment 16791 [details]
generated patch from master (v4) for 4.14
Comment 25 Andrew Bartlett 2021-09-08 05:11:52 UTC
Created attachment 16792 [details]
script used to select the backport (v4) to 4.13
Comment 26 Andrew Bartlett 2021-09-08 05:11:59 UTC
Created attachment 16793 [details]
generated diffstat of patch from master (v4) for 4.13
Comment 27 Andrew Bartlett 2021-09-08 05:12:08 UTC
Created attachment 16794 [details]
generated patch from master (v4) for 4.13
Comment 28 Douglas Bagnall 2021-09-08 06:20:50 UTC
Comment on attachment 16781 [details]
generated patch from master (v3) for 4.15

patch 16781 looks like it passed CI with https://gitlab.com/samba-team/devel/samba/-/pipelines/366297507
Comment 29 Andrew Bartlett 2021-09-08 07:11:00 UTC
Assigning to Jule for Samba 4.15.0.

Once in this is in this bug can be assigned back to me while review of the 4.14 and 4.13 patches is carried out, as they are needed but less urgent.

Thanks!
Comment 30 Andrew Bartlett 2021-09-08 07:28:11 UTC
Created attachment 16795 [details]
WHATSNEW entry for Samba 4.15.0
Comment 31 Jule Anger 2021-09-08 13:05:31 UTC
Pushed to autobuild-v4-15-test.
Comment 32 Samba QA Contact 2021-09-08 13:55:26 UTC
This bug was referenced in samba v4-15-test:

8586802eacad0469ec014242b33a0931f0ce5592
9ded25beb7e1bae31989bdcd18cea1751428c8c6
a116dec4bb6c47ca5de14df8eb4a7c88fac224ed
2dfe335bbe2e4d9d4ff00f31068adb5852ad528d
daab1eba30ae5b27b3e3550352d2c543e6336414
36a99feeafba8e407c353a748ce114945eac9fd6
a90933e820c390bfa5dd2d243f27deb7826fa810
25b51c3a287caf5243d2728d4410e40627b25ec5
424b945426ad666fd1c0654b95f7a33761eec0f5
204f2dbcefe58c8e6081ff515c3c0698fcfba7ae
3d751f9cc6ff0fe914e9a4a2b4aec7e39483ac5f
5df6c6850f44d99680f3873773f09d2e1cb3ca59
68fc48517722d4747a85cbe83bf9069ba87dd761
122ed8d3f3e946e950006581c70aeedb71cd6c21
82158d38ad6a946ae74d7dba88e0a11e35394f06
f191934f14d7bfd20861b37d1449726a1daffcd4
3ace86e524c66131945a736853de57912bcbeae3
f5bb7f975c21d5e1518ade66ccd44b099d0944b9
34b85fc9f02223ef9671287c672592e5be132aa6
5bed0606922952a79f6390f23e431c52b1d930f5
bd1a33d8b09fa0754d4f6c638aef5e03ce886c73
d003d7a3edcff2a64cbcc0e7481941b1ff5c84fd
8a465e73ba36ede6e88893740096611a5dd3312f
0ad81b04468ea1af8d0b13d96eccb2dfd1740b8d
790c07f626215b03e37d9063f1db823eb35f6c56
4f9621dc01d5ea55693c0184c6815f9edf67c63f
ad37b892482bc941f45a9e7dd3980c8ef09dfb8a
8ebde4958f6b1931686e0e5cd3e40e48d786b549
80904c2493a045435aca71475e2e0c54085e3a38
8926866e50f159868892851c19fbb5ff4693ad97
2f26125a45bc3124022ad8ff5a616147186d4c0c
5d4f394865267cacd90589c3bcfb340e610365f0
9668d0a12aff1dcfadcd5822ba81ab6a1850ad73
2804451db0457872430cc4106b97d07fce5e25b2
c8f98ef1bf7f8fb3fc9eabfef36154bf3556a604
88a3de1f8cd38b0c6cde8388f3553906da19ed7b
17fb5d3534a2ab9cb3dfe89aee557492f1fca695
7b859c2ce3ad925552abce6047cdf10bd8f5e4b1
cd4d26b7342e47101c9262386515ba7be19f6cd0
9c80f3188c5c6f021ebf999a43d8c8ed90e6b0d3
8bc2d8475853c838dd22614a2751c2ede33e1575
2898841517e2d58276f3bf2e2207970c7f8dafee
9d8973d3775ac2dd44237fe71549be0cd32d752f
98f242cf97f2009df7d50c076ba390d58e06c74d
db22b645c05d4692f47d9e1927bf504ef2ef5a9c
cb609e47d76a86ba3176044bf77ecd8a1177d752
539981fc13b8342f755610d01fc4670c02aa431b
943a58fc29fe55090f315a399b3dd0d8dffbb20d
dc778a5f4caa6b48e74be14492b7824ff8c8e5a7
5f35f5ce1dcc9aca32b3cceead23f972f859c410
dbf3f3bab68759d42084e55aa865416d983c0fdc
889593908e632848916eeecfddb19e58c5a7a442
9cc2d4a659c9034ad1c79bea16ad2d016216cb9c
846c0132b5201eb806a308a1334c823d3e58a39a
afd32084e3b8dfbc970dedeb13f736d9bc5d939e
038921df85e7e64ac798291b3485804899c2ca2a
361d9e73d151f2c6127c8b96f4792ccb94d99b4a
79972f42603d7e46549221dff957d628eaccc8a5
6457ecee2a95f59378f9160bbad071d928984149
d544371bd15a1b1186faf763ae26eaa92d068de2
5893e9dc6d6908af451e3b601a7c3a8bd67c3be5
7628f04aa6425e53a50c42876f5290d1c16812ef
4d8b3dcd2f74a4ae59319a9d6a58699c790509fe
2e9c0a7ff2feb5c77329bf023fa32f6d8d0df77b
6ed03543ea034dc0ad9d92d9b8515e8cd8ddd60d
fc2ec4b9e01eb8173275f3109a049109f6c2a9b5
5fc7588d3cc6ff98c45f4ad64476f49218666a0e
19aaacb5b2bc1ec12739957072b46370911ab057
904df7418b8a45a31e92e96426cbe0d3af537c17
18b587ad53b4b9162f787f08578a40257794b86c
220f76a98ebefc2c2b8384801a4f447978956ffd
464a7efe1b243e06bb09b58c4b31cb6fe928ad60
1e9a7cd0a81ebbbb81b3fe336e6e1fff010744f8
d6acfe270d0dbe632dd84f6c47f34cdb97106e67
54f1f269f0a0469f60a39a6a371f4de349a9cb54
18c2ff9a3c64271b90bca0040f6649bd97803046
003307b7d340c2bafbbcd1136bedb1d677221eeb
07cfa4d6f95ec83081c3afde7f3e1d871a12d155
4bf41b6ccf5be2293e104ba921fcc409f123f357
9698e453ae952af5ce1af09c1cd8e12cc2c3eb94
13dff7227f41922bbcf66f035ced9f0b371072e6
535bd82604e5a43701c9d307ccb3a5d5cc1192ba
21e1a6b48d6c3670f7dad4fa595b39178e77f445
2f8295604ce6bf0c7829332ae56f6cfecdb18afa
521adb2fd3e65d8a6e6276265182958b967be59f
e850967129d75f93432baa8fb0d899a366bd02cf
961bdab6647753c1d9512e803321ff3b7a281bdd
1dd8ded8c576e427c2d0432e4317071e6ff0f1ea
e30483eb2512a1f13c961fab8320fb27fe1e9e98
0cf8c13b94027856e98a1ccd02cb5ef04b8374d9
2c7d7307ae37b038bf191aeef0c0096f9e58e0bb
04cbe284f4e02bd3908b42781c997888e193d253
d0f26d12a9b6b76404b57bd2e23921de94936342
ef69ac460bc02c3b0c9d5be12198a858c0472421
c9b594a1a21ea7b2d02f2b6811206edc1f245471
b6496bd599024aefc858d5163d701543585736f3
1ae386bf72564850f0660eb4d9b74076ed74bd91
d9de103cc587aa98e0e79781bcb387dac4ee1302
f50f9618efa49fc7a2a56b2f1c99fb6b2c0c5bcd
2762a9dcee4e37eb238007558bc790543a796a17
13cb266426646bdbb786aba734a95f25e1bfff2f
83ba64c9106ff5bd53848c46a3f493045db868d4
b628cda6604c8bd3552eac7e8ba5d203638e51c2
c837f43a9cdd03a1f45913d1e19a71fbb3373af0
8d17a87523bf5d3660840cd5b81738b8b98f61fa
dcbec3eab5253f0c5c9ad30e3a406a4fed4c1d29
0fd150e48447d362e47c4c3f9e7bf0930db03afd
7ca641892b389f2bd6f13afb862c632a8375cff6
Comment 33 Jule Anger 2021-09-08 14:29:06 UTC
(In reply to Andrew Bartlett from comment #29)
Re-assigning to Andrew for review of the 4.14 patch.
4.13 will go in the security fixes only mode when 4.15.0 will be released, so there will be no further planned release.
Comment 34 Andrew Bartlett 2021-09-09 00:28:05 UTC
Comment on attachment 16795 [details]
WHATSNEW entry for Samba 4.15.0

The WHATSNEW has also been pushed.  Thanks!
Comment 35 Samba QA Contact 2021-09-09 06:55:30 UTC
This bug was referenced in samba v4-15-stable (Release samba-4.15.0rc6):

8586802eacad0469ec014242b33a0931f0ce5592
9ded25beb7e1bae31989bdcd18cea1751428c8c6
a116dec4bb6c47ca5de14df8eb4a7c88fac224ed
2dfe335bbe2e4d9d4ff00f31068adb5852ad528d
daab1eba30ae5b27b3e3550352d2c543e6336414
36a99feeafba8e407c353a748ce114945eac9fd6
a90933e820c390bfa5dd2d243f27deb7826fa810
25b51c3a287caf5243d2728d4410e40627b25ec5
424b945426ad666fd1c0654b95f7a33761eec0f5
204f2dbcefe58c8e6081ff515c3c0698fcfba7ae
3d751f9cc6ff0fe914e9a4a2b4aec7e39483ac5f
5df6c6850f44d99680f3873773f09d2e1cb3ca59
68fc48517722d4747a85cbe83bf9069ba87dd761
122ed8d3f3e946e950006581c70aeedb71cd6c21
82158d38ad6a946ae74d7dba88e0a11e35394f06
f191934f14d7bfd20861b37d1449726a1daffcd4
3ace86e524c66131945a736853de57912bcbeae3
f5bb7f975c21d5e1518ade66ccd44b099d0944b9
34b85fc9f02223ef9671287c672592e5be132aa6
5bed0606922952a79f6390f23e431c52b1d930f5
bd1a33d8b09fa0754d4f6c638aef5e03ce886c73
d003d7a3edcff2a64cbcc0e7481941b1ff5c84fd
8a465e73ba36ede6e88893740096611a5dd3312f
0ad81b04468ea1af8d0b13d96eccb2dfd1740b8d
790c07f626215b03e37d9063f1db823eb35f6c56
4f9621dc01d5ea55693c0184c6815f9edf67c63f
ad37b892482bc941f45a9e7dd3980c8ef09dfb8a
8ebde4958f6b1931686e0e5cd3e40e48d786b549
80904c2493a045435aca71475e2e0c54085e3a38
8926866e50f159868892851c19fbb5ff4693ad97
2f26125a45bc3124022ad8ff5a616147186d4c0c
5d4f394865267cacd90589c3bcfb340e610365f0
9668d0a12aff1dcfadcd5822ba81ab6a1850ad73
2804451db0457872430cc4106b97d07fce5e25b2
c8f98ef1bf7f8fb3fc9eabfef36154bf3556a604
88a3de1f8cd38b0c6cde8388f3553906da19ed7b
17fb5d3534a2ab9cb3dfe89aee557492f1fca695
7b859c2ce3ad925552abce6047cdf10bd8f5e4b1
cd4d26b7342e47101c9262386515ba7be19f6cd0
9c80f3188c5c6f021ebf999a43d8c8ed90e6b0d3
8bc2d8475853c838dd22614a2751c2ede33e1575
2898841517e2d58276f3bf2e2207970c7f8dafee
9d8973d3775ac2dd44237fe71549be0cd32d752f
98f242cf97f2009df7d50c076ba390d58e06c74d
db22b645c05d4692f47d9e1927bf504ef2ef5a9c
cb609e47d76a86ba3176044bf77ecd8a1177d752
539981fc13b8342f755610d01fc4670c02aa431b
943a58fc29fe55090f315a399b3dd0d8dffbb20d
dc778a5f4caa6b48e74be14492b7824ff8c8e5a7
5f35f5ce1dcc9aca32b3cceead23f972f859c410
dbf3f3bab68759d42084e55aa865416d983c0fdc
889593908e632848916eeecfddb19e58c5a7a442
9cc2d4a659c9034ad1c79bea16ad2d016216cb9c
846c0132b5201eb806a308a1334c823d3e58a39a
afd32084e3b8dfbc970dedeb13f736d9bc5d939e
038921df85e7e64ac798291b3485804899c2ca2a
361d9e73d151f2c6127c8b96f4792ccb94d99b4a
79972f42603d7e46549221dff957d628eaccc8a5
6457ecee2a95f59378f9160bbad071d928984149
d544371bd15a1b1186faf763ae26eaa92d068de2
5893e9dc6d6908af451e3b601a7c3a8bd67c3be5
7628f04aa6425e53a50c42876f5290d1c16812ef
4d8b3dcd2f74a4ae59319a9d6a58699c790509fe
2e9c0a7ff2feb5c77329bf023fa32f6d8d0df77b
6ed03543ea034dc0ad9d92d9b8515e8cd8ddd60d
fc2ec4b9e01eb8173275f3109a049109f6c2a9b5
5fc7588d3cc6ff98c45f4ad64476f49218666a0e
19aaacb5b2bc1ec12739957072b46370911ab057
904df7418b8a45a31e92e96426cbe0d3af537c17
18b587ad53b4b9162f787f08578a40257794b86c
220f76a98ebefc2c2b8384801a4f447978956ffd
464a7efe1b243e06bb09b58c4b31cb6fe928ad60
1e9a7cd0a81ebbbb81b3fe336e6e1fff010744f8
d6acfe270d0dbe632dd84f6c47f34cdb97106e67
54f1f269f0a0469f60a39a6a371f4de349a9cb54
18c2ff9a3c64271b90bca0040f6649bd97803046
003307b7d340c2bafbbcd1136bedb1d677221eeb
07cfa4d6f95ec83081c3afde7f3e1d871a12d155
4bf41b6ccf5be2293e104ba921fcc409f123f357
9698e453ae952af5ce1af09c1cd8e12cc2c3eb94
13dff7227f41922bbcf66f035ced9f0b371072e6
535bd82604e5a43701c9d307ccb3a5d5cc1192ba
21e1a6b48d6c3670f7dad4fa595b39178e77f445
2f8295604ce6bf0c7829332ae56f6cfecdb18afa
521adb2fd3e65d8a6e6276265182958b967be59f
e850967129d75f93432baa8fb0d899a366bd02cf
961bdab6647753c1d9512e803321ff3b7a281bdd
1dd8ded8c576e427c2d0432e4317071e6ff0f1ea
e30483eb2512a1f13c961fab8320fb27fe1e9e98
0cf8c13b94027856e98a1ccd02cb5ef04b8374d9
2c7d7307ae37b038bf191aeef0c0096f9e58e0bb
04cbe284f4e02bd3908b42781c997888e193d253
d0f26d12a9b6b76404b57bd2e23921de94936342
ef69ac460bc02c3b0c9d5be12198a858c0472421
c9b594a1a21ea7b2d02f2b6811206edc1f245471
b6496bd599024aefc858d5163d701543585736f3
1ae386bf72564850f0660eb4d9b74076ed74bd91
d9de103cc587aa98e0e79781bcb387dac4ee1302
f50f9618efa49fc7a2a56b2f1c99fb6b2c0c5bcd
2762a9dcee4e37eb238007558bc790543a796a17
13cb266426646bdbb786aba734a95f25e1bfff2f
83ba64c9106ff5bd53848c46a3f493045db868d4
b628cda6604c8bd3552eac7e8ba5d203638e51c2
c837f43a9cdd03a1f45913d1e19a71fbb3373af0
8d17a87523bf5d3660840cd5b81738b8b98f61fa
dcbec3eab5253f0c5c9ad30e3a406a4fed4c1d29
0fd150e48447d362e47c4c3f9e7bf0930db03afd
7ca641892b389f2bd6f13afb862c632a8375cff6
Comment 36 Douglas Bagnall 2021-09-16 01:17:05 UTC
Comment on attachment 16794 [details]
generated patch from master (v4) for 4.13

4.13 looks fine, in that it mostly only introduces the new tests, and the new tests introduced are very close to origin/master as at 6b9b0439d849d26797b6ce9e27b85188f427c5b2.

There are maybe some patches that aren't necessary, like
d664ab9d629c900521b3d74078facdf3b553b1a1 changing source3/passdb/py_passdb.c, but I can't see anything harmful.
Comment 37 Andrew Bartlett 2021-09-16 02:07:31 UTC
Thanks so much Douglas!

Jule,

Reassigning to you for 4.13 and 4.14.
Comment 38 Jule Anger 2021-09-16 06:49:48 UTC
Pushed to autobuild-v4-{14,13}-test.
Comment 39 Samba QA Contact 2021-09-16 08:25:11 UTC
This bug was referenced in samba v4-14-test:

b30947fc8561e08facd62402d9fe2be0d36de6ec
b5d279057f6cad54c6bad9f7dba9549a62f87f04
c222cf2cd4f2010cb5867a4fdfb0c0f4c071258b
6d7dbe77a9e4c2664ea20bd32dfc0842e9bf8a08
b1ed4f5ff37e9706b67802d12819124655bc8886
c7525b69fe1428f69c3082abfe2e91088d00ac19
0d08a120e777d8bba1f577e852e10c5bd8f641a9
e7ec9b0779a87679ba2a3a23482299e43a7171c7
43e20ad3ea2f5cd3907793148fcc7fc989bd65f1
876fe2503fe3079fbca0cddfc26392b346f13150
8667e6bcdd39c7757283fb1e4c44458e04c5363c
f8c0dff5b0869011f26bd4f4ac3da5a485885343
76047162bb05cf92170352dba3007ffe8e3443b4
9dea3dd8b8eedddc7b0a64b2e37615f423b37c47
72a11b5eb38ce5511aba9e9b8b8777a3e92860bd
728d13309df756acb5e533deaf66178b667e7dff
e2b0cdcb5077bd002b1bd1761e0f82bbe003b957
7439b5a91db686a0c0b61b8d8f5741e06b3edc2a
795e2b4d4871d1d1ecb2ffe268686c82622efc9c
de40f47cfacc4ec0e7cf784e2fb1268aefa10ea1
0b937a91422a0a42c25d19147ef514c392642739
29d8bacc8a43928dae85e282ac8a61514bbda762
72606c028240f3d36cb87af2b8ef283d987b825e
8958105aa80bb6ec9218261bcaa3567d2b6a6a28
e9a2916b5f3d0ed2af0f6e240beb2fd978253bf2
e63908db368153b81451e073ac8edfa6921238cc
d48196e12f4a25cdf028f55869131e4bed009b02
e089c45d44d6133ce67de091bb5c4d937097ea0c
1a2d9b500e451229d42b7a3fa60fa5e65d49b5b7
6257fd9b3c17583b38e04247188f9b5cf017e1bb
6d21cb27cb3db608eafcb7f3777c27b1e813e445
ea7399d54e8c4209639f01418b2b118faad3b619
b833bf902f79e8928856fea3aa82b8934a7faf59
150be099ae02b18aa66cb25fadd436bf2cf33aaf
a03042d103b410785036e4ccce52b7d107dd2505
e24e1b1a5366ec2680667377ef50b390c6d4208b
acf7c56f2095e171c69aa3c2d16ec176c6759f30
af9e564caccc23c4d243e2e9b3358e5514e578b2
461131ed517c3f7b158a99d3757f267f5233ed31
c12cc69371018076762e20db8732f13198d2134f
9ce0d56ed4856cad7c66c9f1ebd002b736bcb75e
5ffa305eb2e70a75ecc7cefc3d4a3bcf69d55a19
d6f5da02368060cc5adb0912d78f36c962e22bd6
b91a08ce89e7c0cafd42d17f900d8771adc5a6c6
d85f359789b597c530d8aff2eb6153e1c5629fff
9521952380b0256effca169f26e9d3d4f5a65244
4d72aa9e098353420303b6ee039aa50d99ac9e42
47b6072624cb68814c09854b1b4e985aef652c2a
b423bb95afcdbea82dd9f890a3e35c66169b5fab
13667701cda66706588d6f92f74d775cbeb8eaad
7f33d712596c439a2b9a3ecfc11a9681fd32dd40
6bc79db7b396124bbcfce578046f15f068b332e9
8154d2cc3d2c6e045bc70ebedc406a59efdf6ac2
8565cc4ec48454409516e2d6d55165d5204fbea0
de8c2bf0cc914e71a04c4f4eecd504b8616a7ad6
0e86cc3d59d879e07147b119796109d1cd69b696
477f765f1aba5d022ba9fc5af464c7f021559263
b4022ea0b4a19e46a25f66deeb83c9e1e0d42c15
6a3b7eb5b81ae8e7b86c2d5d3c676381234cd920
3014214092797e30732552fac1b974df1dcb7a4a
e04e2925be1f9bc40b096da284173cf23856c082
b884b4ef5856f7822e3ccaacb12c7784d7f247c5
6cf0b28459d15d848265974c34f2c86d7c8f45bb
8b281a0553980dea65403b032270e45a4dbf52df
3df9870e6d33c77afef37a9e3f229a44e29eb907
82586e8bee986fe651ad07b82a35cda30b455bea
b74fca8dd0167aa9d7e5e018f4dcedd2fae944db
27e3155358f67e574cea6deef919efffed19b14d
0e276e08fb567d7d21999c4b6041e8e9f53cd18a
6955f08227b22686da81daf9e2f6cd0d96fe1d79
10578ae11f9edcd102ee0bb98b108ac35adf06ce
27499d3583f0d9d168d4a649885e90148125e88f
b7e71204189bca55d86645774b891a8c904e9459
2261df73ce498ed75c8cd1fb3f7c1d9e675b736d
4cc5bbdb71b8a47a65f553dd79d6d37979670bd8
1676812b858b0326a0c913fec9296c26964731ab
c562c5cbeeb3042c6ac08f6a8e0d92296e13362b
b695f407b9a6423011d51228028115a447ce0130
27ce461ad8f965e9e235773f505543111bf64997
210b2368eeac35b402ea0e57a2f9caa8c972c6d6
16d7c193bb4e2b450e2f3632f0e0481f50d46229
885f56f4c91b42f351ef351984f81306878f3cc1
53c49a8c2a0fe224962312a79e274f51cee1dde5
29aa10b93ae5d285af081ff8af6efa20df674353
300ac82e72014ec65b48b6ab9a9d1cd2e8d52702
79ab000c197eba85630511273bf8c5ac51d6ab66
989b352023bd5f73578cd21d12c1d642b40822fd
49a987dc57e021bbe3b28c4a4bfde0a60f3ca8e8
be5047564fccf700fb53c6efdc1f1a69f03faa27
46e019d5088d97afb3793d2cf16114e8f16cd3b9
8bef7b0c98a163fef60e2502231a7f17276226a3
5e41e264ebe59278a293e2acf388f5f6e0bf6ef8
3795f8150036f46a5ae6371d1cd777b34bf8630f
fde5967c8dd067321f16574dab5dd892e91e6a23
6fea68a9828472bcde44995619edcb94bf896a9b
f5c4993213a488e3bb69b8d019467d20bcde5731
972111f501fb4d22815b83acf38e26d0bd56c311
383ccffa5eb60891cd1f911a1b903a23b36993be
c511763c1198f26d05504bcc5a564bb5b1b43a52
4cca060c4dd5d26b61f3213a0935dabe864d3cd9
ce130f1bdf7e3e9767b49ea51571df8aa6d9afcf
46f356d0b620babe4c7c65119823f8456049104a
83f8c3f1e189f02535af99aa5836a9a3bebc1a98
1b85d721a4826883a0f591d65c112ab750228c63
020d1c73af30ae5992e186d25d874f5efa758361
b2aee7dc37156207e086d3db01910fd894817652
c4be77e96065446fc6ad8e058097d24834f6bd22
d51b727590fdb73d89845ae4209b9b0439e8e791
dec428538cafc5e3843e2f1ca53b8625e628fe23
9064e5eb05311a6abaa340c378ff9942218a94d5
7f8f12029644dfa4a28e564c842aa29b0ffaf94c
d2b4a1883a365cac3e9f4fe189fd2b85863fda3e
1cecb538d78931265e3445ff4456e54a46770dd9
afae6b431b88c696784ebc778070a8d8fea791d4
b77aed56836c522c7044ae7bd7e44d2f5cee977d
ebd51dc4db43c653367295090814fefa8563c0af
14207a42625c6820b23f2e6cd18ed5913f66ea52
0f2acee95d24b603e50a7adcd985497c45f3a431
ff1d3928e04993092fe4272fb3f19ee16a42e8c0
9380f54b20072ff38dc5d6312559c8f9921cd7cc
4fd7b629abdfc10077859121c80885b15dfb0829
e2e7f2ec5560019b681cffed2289569c492e872d
1e02aaf49c6014fe7e9d9675b46d5f02bebde5c5
e1f72aaaa44c9d106f3abc436c91f146186030db
7cb152b6ba63188034dda6a42e4e4419e834c0c8
d8aaacc66d9a10685933d2b043de057872d74467
1df74663b1ead2a0990b77c2000737f86cf96bf5
2940dfb59c03d3895bfac62ca14f5b7f56b842be
531ed8649223544298208b97875f552e3a1fc77c
7dc15c34d9ea3adc696baf019482811846482ce3
a4e7e1bd67176dc5c504605b6cc3a15fbe329745
977d1e068e95e8ccb4675b3a9ce5f2961305c24c
6f483eb7c35ff9696292ef7a04837ad2d5bcc44d
8eafefbce03ac836bb842ec3113a2dcf8d7f2d65
54afeaec08323c297e2db9239aaae6fe17b0299d
6b0ac964d78541f5bb08714c1a79d7fb492d10e1
7a938531dd0173c31f4c197d6f1035fb28eb87fc
c64f0cb102a42c52704c894c81d0d47ea436ebaa
5c4de75af508a1774c727c88e3515a6e6756e381
2444c94cb3a09aa2c5da5742c7f43064162dabe9
474ddf8fdda539a1878f3b83700d5ad06346c1aa
12c9c5b7d29a025deeb6d264b52022bf43638f4e
f18cff2b0e1040462f25869e51123cb5dbd147e9
112e362525317efc8537fe6e9672bfd39f3930f8
63e5d195a5a258b45b7f2556e2b2188c97d5616d
7b4c9eea2534d04917d3272c34ad42f6c1378209
a21afdbcd7bd921341ae38b972914ec93e3d56c7
53b48cbe9a8e20007f45568519c81f95c172a5ad
Comment 40 Samba QA Contact 2021-09-16 08:55:11 UTC
This bug was referenced in samba v4-13-test:

44841d2b18bea264e126264c44744d4018031e8c
71f30ca29b4356abb908d09c25dddd8758533ddf
8536b5f4397b568c5af334652a6db36f88e6d786
ca83a606256d2270683afeb9eba3f6254df9480c
d7ebc3b705519e3fabd464e0d81586111df8e97d
d08faae8bd0da140772946e3dfe75e484438ef39
0242419a01075e93d4c7cdcb636260694a6f6eab
a07052104f34c6e9777797c9993aa5fc07ecd032
657dde3bdf23ec96f5686d5fc5e81349297278d8
08a296f901883fae5578ea13142786ce83a0b0ca
ed2c276f76519ba1bade37778d860f8eb7cab1fd
d810539294b92cb5d19f553d895fa04073bd4736
a142057393fdc8f69de16658ae180e138f3c504f
fb05f15519cb908da44f25f547444ac85369df0e
8610d03794eef7d81bb02631d1285cc1f4ebc3a6
1543efaead3a7adcef28687ba9b1ba51882b5227
7858fd1799d7b2363ab3c481551974fb9a905f64
ab09ca1b0e9ea3f56b17a9cd480b931f60acedd9
82d2ce2a66b82b9d0d2102f458e7f8b9fd54cee0
f79c7c3217c26ca5c35e7d624603c1a626cb1a40
f719d74eb7ef06969ad60f23627779a50cc68b70
bde787c8484114fa4861283935ba8e1a695661e2
c8f1511ea49e4005740b0f0ef085c123ec581832
81923ea82324e1ff7b94ea7da2c65a56ec9ba091
f38ba41584718d54c0ed2c4ba093856d32f386bf
d9f914d0820bc9fb102ac8c9de2590e8ac3e64af
03e4bbb8d855b54898a52ade9358114b1a7bab69
28dee15ee08489635424c3053bb5629889c6f1a3
9e0cf55529a85853be21a42f80db88cbf5652bc9
1748470cc2155719dae5b587791c6bd223a5ae79
427185f8a9949920ca87807043167cb91ecafcb9
522ebd8e7c977c6f5aa5791766d7f9044049c877
1854fc55a30f2a7efd106e4d4cf1f2a77338251f
a47b37c170fe67f61844aa1d3bfc4a15130ac7a8
38d622f38ea8b3f3a3d6cf9db76c108b5ea082fb
98727cd606ca5e63486908756c9aad327fcd43dd
02bfb9e2daffa319261089dba068893c203eaf94
848458d1704ef4cb632996a5949d00bf8fd3d9f3
bb9ff0e143ac3551a8b6a1c660bbec603f347c2f
c40a90d7c7afdfdba86e8941caa52fb2bb4f7ff9
8e70f0c174a9c95c221ab148ab30a06e0afa4de5
1a3cc9a4e2d888f07b13b6b12efbc971ee13ef2b
e80ad4c0f2917a0ec6ed47eb82c30262b65c13ec
1208a4dce1e8542be4b5444509545c9ab28828a0
d75226b90925a35537d21a4f27c68031ed187056
ff4d39737c57599a5858148696b7b81464565bd1
b32c193205473b585bfaf5d9e50e42e2a75eadcf
73bba60d737482a4edf6a5cf9c5ce06958a1d5c3
9bf0f33ad1057bc9d1e61464b5343b08ebe19774
3a586a81f589d4b2f92714ee4a060eb5dac4f1af
8737c731040a1e0a85c70bac71ac88539b1437bd
019b77dbb85d006165f061f0035d41193447a3f1
9d32cb48194a3c2f04bada32a7bfc67bdd422d10
a83ea43c7ba421197638e58f150cf681418b3004
ce264474d2939f1bd4046f30aa84b4487f4a45f3
5e69e2d7cd1106117293bdcc02b88fa6bf979baa
bf799b23de251510c1587394ae68c43d480c1232
159384d02fbe41ebd54c2d2a5ea45d0c82063adb
1ec0efe26ff7941897796e8bf983683f5e3e10e2
697edd2e1db15e5facafb7775d513117d1ce200a
38c4f77b9e4f86830497d0781dfbfd667d0f2fe8
e6682e512067280d117cd5c72b51ce8de7c81438
1b36e3bd7e2c65f0a67168b7da658d7fb26532e0
ec49afa5a23a62fa8eaa88f036da31aa6ac097b7
99acba0be9e24f9a877f7046f6d7af127d0d4d17
d371e8688c34ea67f8e2375dd569dabad84bb4b5
fa1a2eb7b9a7e36c223ced4dbb7208ecb19fa577
051487c6ab941c174b820d70c4ce10838162349d
807773d382b17d07ad77dc700bbd9ea39819138b
113fa4ecfd1be51049474a9d5d2ec25c5b35bc92
768f1d71b93b482dc04705004045f14277b28aa4
1c0c89ac3bf4985efea12181ee6c0658084bd7c2
44018e6131c5c945af57876aa971ee209bec5528
5b209e40ec26ca906397d7c1cb6667f1bd5df403
7bd0c7f557b2a95a6d21a8a1505a4fe9c3f2ea53
23496bb7cf35463bde5d80b4e418e608ee01e3a2
d88603f8b5c58a26226ca01319a2edcf4f7d6d0b
ea9083dfd631cb1ec836551dc6c3361652cf18b6
56b5ceb0c647a4733aed758481922617d48522dd
9db32a6a456b6b678d76527f73a8f5d30593e72f
02f3bd6a821b85e140f272d745cdb6d7eb8b3c0c
75f534c0ac5b21cb10e1975490c1153672e78bf7
c76c9f15a780ac05e92827ad42c78e49de14bfb7
5a0af3e510e296755cfc1e28a86695045416705a
09d0e89265c3d780fcea6afe369f09d800628932
07610622027d22e242e430be49da90a564d5666b
e1a4921d5e3589b565810b9d1af98f30e521b746
63be60227a86c10d866a78148a1bed339c2d407b
e6de4d851c006838d99b3b77cfe250f1b6821d99
f5e4fc453b1056d933219344eb582a07746bea93
a5a26564a87ea04e1d4abcf44af6e94465fb83f5
3e013f04e190576272a513597eb14171b6c40a1b
52898d56abb0ec7ce29d9a03d0220fe887eeae1f
11cf625557351bd2bc73d8d858d2817f5fe680b6
7b16ffcb46f6b2d7f390c9bb4d93d031dd3f397d
c76cf2bc054ea3a183a72eab559adf7d20fa82d6
fa26a95dda13e9b5acb4d88ed4c2063f425351c7
70f6cf7afcecebc8a862f09754723bedc4ef5941
c3ffa232c03e60770a85aa6b119785218dca5826
80757c65b243dd87dae2b7a155d0fec6e26aa2a7
cd3b4785b9ab608ec73ada85e92980ad8ec536ae
d4c3e11e247a1e83182fe0689113b3c4294e63b3
254bd5ad6ed30df41a2178a58ff74eacb7491a97
a4e70d45d3be5d85b24fbdab07be4a2b68bc7552
2f12714196c32f3051e1d8a2819484d4cb9c80b1
e79061f0626f9dd88e74f43ff09b4e1c955007d1
e2d952cfa02a6d24f5e2cba0c5f04005cf83b1f1
2ae49840a4f38cd3a47018111dbe2996e6deec6a
70dd144a05fb13cf6cab82629e2a4f41910f1c5a
ca5b9aff8f94e465378b4385fae9d008c2ac32d5
11001fca4d279de3ef5c74cd7ac86b75a45d8903
ce7b1d711428c01d26d9666a480bd50b87441a41
2e42112ef964878c03ceff1727d69fed28438195
5cada92252775e26ca056a43629dca14193f1489
34faed8971ca1ef537733d5878f7ebe162d3aa35
caca311af0a851417453b856e9858fd3bb39357c
afcf48e752c07180717fc1184f8cfc65cc0657ad
dcd9320cd9cbce87c25715d0de862d2ac81f2fbb
235873ff334c6362f2392ac896b6fe9e03b8df1b
d82d3a20d320a9921ef6cbc31cd945b011875281
cc1f6fcddbc58d587797db27f24a04d8c6f50553
814087029499d50d98e567b81384b9b6f7128088
db6495a2377c3bfb08f6173e881d3cd5a1ff973e
1e451d724b0c0cba4c495c1a9fd6385c4ac021b9
ee9b0a028c2e712e9dee6767eb7826cfa3af1da6
d81a88a78f4c82edf6d3ebf1d8452df67fcbb750
d9f406518ca82afa8f748a59326d5fba7e3dd394
a9e421c4bfafc94b1472fb270f701da6db5b27c1
04a6c902edeb0a7a030b8850e454f87403d9e83d
1ce82cbc9d65edcf0e665da8a400a2dd1b10a125
dbeafd158a46c48dd1cb0e88b6550e170129f4d2
0e33a06673b7d09a2dec878505776d82a2f09ecf
b7562c873e8091b210ca7d70cde68fda45c714dc
6264ed424206bf728de193f1177c845283580ab4
a57e79c5fcee8e2ecb5d60c05ed84dc116acb4c4
25b6681c3cd5c0eeb1a29913dd319ab00cf3ba51
52eb693ac31dcf66b637bdf07061de2cb5c3bb5b
3be408a3a839a5956e808fd939095c04b9413cc9
de8fbf93111284cc6bd62262421b69bfee604eb8
b551c801193d13698baca765a741c74b38ce78fd
5d39d4b36e88a12e69a78b934ba611a2ae3c7e67
cedfc67ede46bc87a75db0514f3dbcbe29fac30e
64b5183a7764f25cd45126de331cfa51fa3bb0e9
701e5c98399bb7b4ac7072e0da73dfde7d209d74
8a3b41f048396b83674bbd173ba94de65b6600b3
8eaa8e10383acc1395ff27ed0107341d581dc3cc
bef5024da8ceb658c00ade1310a13f737a94bcdf
efe112dfa56772091eb3e9334f083a550668d711
087cf5f9504eeb46e0a3c5ce4d8a7d91615861dc
fef9198aafc718fcf0b739591a9c5da3e300ab77
be4977249bc4b971d0d4257f85a5a0a6954dc6f4
2356b4d9b7543ef06b20d6867d5dd1137b72650b
ee892faca94611ec287b6240dddbfbfd83128888
0febff53f3867d7905dbe8e01f2ecd9f701cec2b
40da4ffbf18a53b2be308d6be6309943a6c2d3d9
2391eabfcf29c682686ab2fc03ec1d648930ce0c
e1c4d715a61e06ce996961f0723867e9faead8cb
8fa99e31658860bac6a03f83a5f588f29b26fd96
48199d18cc9141cf626af99d317836ceacad51f6
83073237a95f2e8e3288394362cb02bb1d3869b6
1fd611e9e7fbce83ea4f7ed6c7d8f4f1a04b3543
e7e79028093778d9dd028d8d408af2c75f21f211
576e5ca2e9cb04c3264962d0e8a256d3e3ec3306
27e964233a55665de302e25e54e93109bdcfb1ac
17c7bc10695d7b2ca1a06e02786dc08c26252fd6
497b461238bf69eb5ff92c4b849b8f56bbcbac5e
95de6d138adcd6f3fb5d098f5e13636910a3e0f7
a67cda7159f3c7e9c381a13705011dd9c93742ae
d3a611377bdda70e6940b6f3fff03cc6240f6a5b
bd76f6d47e756692243a77e7628324e333c566a0
8a8872f7070a6f2c89e2ba38d89df0e27bca9f71
cabc5b114dc094e36b4c052ed524757990ec6321
b5e11c10966dcbb9ca4e751c6c378e2f9ed6e358
57800189c5f4a92058ff293f8583805ebcf9928d
1e27b45f49c1a6d610ec498e48b4ed4f6e85c772
7a2a6e0bcb0f9508322e940360b95eae52572cb2
b7d16fdc65397114bcc9199bbd4092f54d11e565
Comment 41 Jule Anger 2021-09-16 13:28:54 UTC
Closing out bug report.

Thanks!